Highlighted

Erreur lors de la création de *.apk avec AIR33

New Here ,
Nov 18, 2019

Copy link to clipboard

Copied

Je développe des applications pour Android sous Adobe Flash CS6.

Avec le sdk 32, pas de problème pour obtenir le fichier .apk.

J'ai téléchargé le sdk 33 de Harman. Impossible d'obtenir le fichier apk. J'ai un message d'erreur (voir fichier joint).

J'ai désinstallé et réinstallé Java8 puis Java7. En 64 bits (mon PC est en 64 bits) et en 32 bits (FLASH CS6  est en 32 bits), toujours la même erreur.

Que faire ?

CS6 est-il compatible avec AIR33 ou faut-il le remplacer par ANIMATE ?

TOPICS
ActionScript, Error, Import and export

Views

267

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Erreur lors de la création de *.apk avec AIR33

New Here ,
Nov 18, 2019

Copy link to clipboard

Copied

Je développe des applications pour Android sous Adobe Flash CS6.

Avec le sdk 32, pas de problème pour obtenir le fichier .apk.

J'ai téléchargé le sdk 33 de Harman. Impossible d'obtenir le fichier apk. J'ai un message d'erreur (voir fichier joint).

J'ai désinstallé et réinstallé Java8 puis Java7. En 64 bits (mon PC est en 64 bits) et en 32 bits (FLASH CS6  est en 32 bits), toujours la même erreur.

Que faire ?

CS6 est-il compatible avec AIR33 ou faut-il le remplacer par ANIMATE ?

TOPICS
ActionScript, Error, Import and export

Views

268

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Nov 18, 2019 0
Adobe Community Professional ,
Nov 19, 2019

Copy link to clipboard

Copied

contact harman.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 19, 2019 0
New Here ,
Nov 19, 2019

Copy link to clipboard

Copied

I have already contacted Harman about this. Here is the answer :

That error is due to the version of Java that the Android ‘dx’ tool needs in order to run; Google are pushing folk onto Java 8 so if you’re able to install that version – and make sure that CS6 is set to use this – then it should work. You may also get away with Java 7 as long as you’re not doing anything requiring a minimum SDK level of 26+.

I installed java7 then java 8. Always the same error.
QUESTION : is FLASH CS6 compatible with AIR33 or should it be replaced by ANIMATE?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 19, 2019 0
Advisor ,
Nov 20, 2019

Copy link to clipboard

Copied

ANSWER: CS6 is probably compatible with AIR33.

try to remove completely all java traces on your Sys and reinstall java 8

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 20, 2019 0
micrault LATEST
New Here ,
Nov 23, 2019

Copy link to clipboard

Copied

I have already uninstalled java 8 (latest version) and then reinstalled. I tried on another computer. I still have the same mistake.
  Here is Harman's answer:

That error is due to the version of Java that the Android ‘dx’ tool needs in order to run; Google are pushing folk onto Java 8 so if you’re able to install that version – and make sure that CS6 is set to use this – then it should work. You may also get away with Java 7 as long as you’re not doing anything requiring a minimum SDK level of 26+.

 

If you can help me, thank you

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Nov 23, 2019 0